@media (max-width: 1845px) {
  .main-nav .header-decoration {
    left: -55px;
  }
}

@media (max-width: 1738px) {
  .main-nav .header-decoration {
    left: -104px;
  }
}

@media (max-width: 1640px) {
  .main-nav .header-decoration {
    left: -159px;
  }
}

@media (max-width: 1532px) {
  .main-nav .header-decoration {
    left: -200px;
  }
}

@media (max-width: 1452px) {
  .main-nav .header-decoration {
    left: -250px;
  }
}

@media (max-width: 1353px) {
  .main-nav .header-decoration {
    left: -300px;
  }
}

@media (max-width: 1341px) {
  #services .card-desc br {
    display: none;
  }
}

@media (max-width: 1338px) {
  .nav-contact {
    flex-direction: column;
    gap: 4px;
    align-items: flex-start;
    margin-left: 0;
  }
}

@media (max-width: 1100px) {
  #services .grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
  }
}

@media (max-width: 1120px) {
  /* body {
    padding: 0 0 44px 0;
  } */

  .nav-right {
    display: none;
  }

  .mobile-social-bar {
    display: flex;
  }

  .nav-contact {
    margin-right: 75px;
  }
}

@media (max-width: 1000px) {
  .header-decoration {
    display: none;
  }

  .main-nav {
    height: auto;
  }

  .nav-container {
    flex-direction: column;
    align-items: center;
    gap: 15px;
    background-color: transparent;
    padding: 15px 20px;
  }

  .header-logo-container {
    background-color: #ffffff;
    padding: 15px 20px;
    border-radius: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
  }

  .header-logo-container .logo-link {
    margin-top: 0;
  }

  .nav-contact {
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
    width: 100%;
    justify-content: center;
    flex-direction: row;
    gap: 20px;
  }

  .main-header .logo-text {
    font-size: 21px;
  }

  .main-header .contact-item a {
    font-size: 17px;
  }

  .main-header .contact-item i {
    font-size: 17px;
  }

  .main-header .hero-title {
    font-size: 34px;
  }

  .main-header .hero-subtitle {
    font-size: 34px;
  }

  .main-header .hero-description {
    font-size: 16px;
  }

  .main-header .hero-button {
    font-size: 22px;
  }

  #intro {
    padding: 50px 0;
  }
}

@media (max-width: 768px) {
  .main-header .hero-text-wrapper {
    text-align: center;
    margin-right: 0;
    padding-right: 0;
  }

  .main-header .hero-text-wrapper::after {
    display: none;
  }

  .hero-subtitle-box {
    padding: 16px 19px;
  }
  .hero-subtitle {
    letter-spacing: 2px;
  }

  .footer-content {
    flex-direction: column;
    gap: 1.5rem;
  }

  .footer-left p {
    text-align: center;
  }

  #intro .title {
    font-size: 30px;
  }

  #services .card-title {
    font-size: 25px;
  }

  #services .card-desc {
    font-size: 16px;
  }

  #services {
    padding: 80px 0 0 0;
  }

  #maintenance .content {
    text-align: center;
    margin: 0 auto;
    max-width: 100%;
    padding: 40px 30px;
  }

  #maintenance .separator {
    margin: 0 auto 18px auto;
  }

  #maintenance .bg-image::before {
    background: rgba(0, 0, 0, 0.4);
  }

  #maintenance .bg-image img {
    object-position: right center;
  }

  #maintenance .title {
    font-size: 40px;
  }

  #maintenance .subtitle {
    font-size: 28px;
  }

  #maintenance .desc {
    font-size: 16px;
  }

  #contact .row {
    grid-template-columns: 1fr;
    gap: 12px;
  }

  #contact input[name="nombre"] {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
  }

  #contact input[name="correo"] {
    border-radius: 0;
  }

  #contact input[name="telefono"] {
    border-radius: 0;
    border-top-right-radius: 0;
  }

  #contact .title{
    font-size: 35px;
  }
}

@media (max-width: 670px) {
  #services .grid {
    grid-template-columns: repeat(1, 1fr);
    max-width: 450px;
    margin: 0 auto;
  }

  #services .card {
    padding: 40px 30px;
  }
}

@media (max-width: 666px) {
  .header-logo-container .logo-link {
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }

  .logo-text {
    white-space: normal;
    text-align: center;
  }

  .header-logo-container {
    padding: 21px 20px;
  }
}

@media (max-width: 574px) {
  .main-header .hero-description br {
    display: none;
  }
}

@media (max-width: 426px) {
  #maintenance .content {
    padding: 40px 5px;
  }

  #maintenance .title {
    font-size: 32px;
  }

  #maintenance .subtitle {
    font-size: 24px;
  }

  #maintenance .desc {
    font-size: 14px;
  }
}

@media (max-width: 490px) {
  .main-header {
    height: 970px;
  }

  .hero-content {
    padding-top: 190px;
  }
  .nav-contact {
    flex-direction: column;
    gap: 10px;
  }
}

@media (max-width: 489px) {
  .footer-left p {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
  }

  .footer-separator {
    display: none;
  }
}


@media (max-width: 370px) {
#contact .title {
  font-size: 30px;
}
}

@media (max-width: 344px) {
  .hero-content {
    padding-top: 300px;
  }
}
